using System;
using System.Linq.Expressions;
using System.Web.Mvc;

namespace BigCompany.Web.App.Extensions
{
	public static class UrlHelperExtensions
	{
		public static string Action<TController>(this UrlHelper urlHelper, Expression<Func<TController, ActionResult>> actionExpression) where TController : IController
		{
			return urlHelper.Action(actionExpression, null);
		}

		public static string Action<TController>(this UrlHelper urlHelper, Expression<Func<TController, ActionResult>> actionExpression, object values) where TController : IController
		{
			var controllerName = typeof(TController).GetControllerName();
			var actionName = actionExpression.GetActionName();
			return urlHelper != null ? urlHelper.Action(actionName, controllerName, values) : "~/";
		}
	}
}