﻿using SisoDb;
using SisoDb.Sql2008;
using StructureMap.Configuration.DSL;

namespace BigCompany.Web.DependencyResolution
{
	public class WebRegistry : Registry
	{
		public WebRegistry()
		{
			For<ISisoDatabase>().Singleton().Use(() =>
			{
				var cnInfo = new SisoConnectionInfo("BigCompany");
				var instance = new Sql2008DbFactory().CreateDatabase(cnInfo);
				instance.CreateIfNotExists();
				return instance;
			});
		}
	}
}